Bug 861201 - Dolphin Crashes usage of filter bar and directories with many files
Dolphin Crashes usage of filter bar and directories with many files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-baseapps (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 15:31 EDT by Mario Kothe
Modified: 2013-08-01 08:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:02:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Kothe 2012-09-27 15:31:45 EDT
Description of problem:

Dolphin crashes when using the filter bar. Tried it on 2 different Systems. Error can be produced on both systems. First time it showed up was after an update of KDE Components. (Dolphin)

In kdesdk-dolphin-plugins-4.8.5-1.fc17.x86_64 the filter bar worked fine.

Anaconda log
yum.log:Aug 17 18:16:06 Updated: kdesdk-dolphin-plugins-4.8.5-1.fc17.x86_64
yum.log:Sep 26 19:41:29 Updated: kdesdk-dolphin-plugins-4.9.1-1.fc17.x86_64
 

Version-Release number of selected component (if applicable):

kdesdk-dolphin-plugins-4.9.1-1.fc17.x86_64

How reproducible:

Just enter something in the filter bar. First time it might work some times. Try it a second / Third time Dolphin crashes. KDE ask to terminate the program

Steps to Reproduce:

See above
Comment 1 Mario Kothe 2012-09-27 16:11:18 EDT
It is not just the filter bar. Even selecting Directories can crash Dolphin. In my case the Directory has a few 100 Files / Subdirectories.
Comment 2 Mario Kothe 2012-09-27 16:22:40 EDT
It seems that Ktorrent is affected by the update too. It can not store on an NFS Volume. 

Which reminds me that all descripted errors are in connection with NFS Volumes.
Comment 3 Mario Kothe 2012-09-27 16:34:35 EDT
Konqueror is affected as well. But I guess both programs use the same libraries.
Comment 4 Mario Kothe 2012-09-28 12:55:03 EDT
Ok. Still not sure what to make of this. Found a thread which suggested the following

In /etc/fstab add a slash to local mount point. So I changed 

from:
<IP ADDRESS>:/home                  /home/<user>

to 
<IP ADDRESS>:/home                  /home/<user>/

Now Dolphin is working with that. But so far only if it is mounted during boot up. Mounting a NFS directory later on after login and than using dolphin still crashes dolphin in the descripted manner.
Comment 5 Mario Kothe 2012-09-28 14:14:48 EDT
Sadly Ktorrent is still not working on NFS Volumes.

For completness here is the link to the thread I mentioned in the last comment

https://bbs.archlinux.org/viewtopic.php?id=132561

Message #11 suggest that at that time it might have been a linux-util bug.
Comment 6 Mario Kothe 2012-10-01 15:17:40 EDT
In Comment 4 I wrote to soon. Dolphin still crashes. Even with the written changes I made.
Comment 7 Fedora End Of Life 2013-07-03 23:51:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 08:03:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.